<?php
add_action( 'vc_before_init', 'rockon_portfolio_filter_WITHVS' );
function rockon_portfolio_filter_WITHVS() {
   vc_map( array(
      "name" => __("Rockon Portfolio Filter (Note : Use Without Sidebar)",'rockon'),
      "base" => "rockon_portfolio_filter_shortchode",
      "class" => "",
      "category" => __('Content','rockon'),
      'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
      'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
      "params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => __("Title",'rockon'),
				"param_name" => "title",
				"value" => __("Portfolio Filter",'rockon'),
				"description" => __("Title text Here.",'rockon')
			)
      )
   ) );
}
add_shortcode( 'rockon_portfolio_filter_shortchode', 'rockon_portfolio_filter_shortchode_func' );
function rockon_portfolio_filter_shortchode_func( $atts ) { 
	extract( shortcode_atts( array(
		'title' => 'something'
	), $atts ) );
  	get_template_part('include/section-portfolio');
}
?>